# Types

### Expected Types

We calculate several different  expected values. Find below the types with the description or their meaning.

<table><thead><tr><th width="91">ID</th><th>Name</th><th>Description</th><th data-hidden>Code</th></tr></thead><tbody><tr><td>5304</td><td><code>EXPECTED_GOALS</code></td><td>Quantifies the quality of scoring chances based on various factors.</td><td>expected-goals</td></tr><tr><td>5305</td><td><code>EXPECTED_GOALS_ON_TARGET</code></td><td>The probability of a shot on target resulting in a goal in football based on the post-shot model. </td><td>expected-goals-on-target</td></tr><tr><td>7939</td><td><code>EXPECTED_POINTS</code></td><td>Assesses team performance based on the quality of chances created and conceded, predicting the expected points earned from fixtures.</td><td>expected-points</td></tr><tr><td>7940</td><td><code>EXPECTED_GOALS_PENALTIES</code></td><td>The expected value of of scoring goals from penalties.</td><td></td></tr><tr><td>7941</td><td><code>EXPECTED_GOALS_FREE_KICKS</code></td><td>The expected value of scoring goals from direct free-kick situations.</td><td></td></tr><tr><td>7942</td><td><code>EXPECTED_GOALS_CORNERS</code></td><td>The expected value of scoring goals from corner kicks.</td><td></td></tr><tr><td>7943</td><td><code>EXPECTED_NON_PENALTY_GOALS</code></td><td>The expected value of goals from open play and set-piece scenarios excluding penalties in football.</td><td></td></tr><tr><td>7944</td><td><code>EXPECTED_GOALS_SET_PLAY</code></td><td>The expected value of scoring from set-piece situations like free kicks and corners in football.</td><td></td></tr><tr><td>7945</td><td><code>EXPECTED_GOALS_OPEN_PLAY</code></td><td>The expected value of scoring from open play situations, excluding set pieces and penalties, in football.</td><td></td></tr><tr><td>9684</td><td><code>EXPECTED_GOALS_DIFFERENCE</code></td><td>Calculates the difference between a team's xG for and against.</td><td></td></tr><tr><td>9685</td><td><code>SHOOTING_PERFORMANCE</code></td><td>Measures how well a team or player shoots. It compares the xGOT to the expected goals (xG). When a team/player's xGOT surpasses its xG, it signifies its proficiency in taking higher-quality shots relative to the quality of the team's or player's chances. With this type, you can decide if a player is a player or the team is overperforming or underperforming, or performing as expected based on the quality of the chances they created.</td><td></td></tr><tr><td>9686</td><td><code>EXPECTED_GOALS_PREVENTED</code></td><td>The difference between the actual goals conceded by a team and the expected goals conceded based on the quality of shots faced.</td><td></td></tr><tr><td>9687</td><td><code>EXPECTED_GOALS_AGAINST</code></td><td>Calculates the expected number of goals a team is expected to concede based on the quality of scoring opportunities their opponents create.</td><td></td></tr></tbody></table>

*\*xG is also available at the season, player and team levels. xPTS is also available as standings detail.*

You can find a full explanation of each value in our dedicated [blog](https://www.sportmonks.com/blogs/xg-explained/).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/beta-documentation/expected-goals/types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
